package nc.ws.intf.IWSBIGetNCWYData;

public class IWSBIGetNCWYDataPortTypeProxy implements nc.ws.intf.IWSBIGetNCWYData.IWSBIGetNCWYDataPortType {
  private String _endpoint = null;
  private nc.ws.intf.IWSBIGetNCWYData.IWSBIGetNCWYDataPortType iWSBIGetNCWYDataPortType = null;
  
  public IWSBIGetNCWYDataPortTypeProxy() {
    _initIWSBIGetNCWYDataPortTypeProxy();
  }
  
  public IWSBIGetNCWYDataPortTypeProxy(String endpoint) {
    _endpoint = endpoint;
    _initIWSBIGetNCWYDataPortTypeProxy();
  }
  
  private void _initIWSBIGetNCWYDataPortTypeProxy() {
    try {
      iWSBIGetNCWYDataPortType = (new nc.ws.intf.IWSBIGetNCWYData.IWSBIGetNCWYDataLocator()).getIWSBIGetNCWYDataSOAP11port_http();
      if (iWSBIGetNCWYDataPortType != null) {
        if (_endpoint != null)
          ((javax.xml.rpc.Stub)iWSBIGetNCWYDataPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
        else
          _endpoint = (String)((javax.xml.rpc.Stub)iWSBIGetNCWYDataPortType)._getProperty("javax.xml.rpc.service.endpoint.address");
      }
      
    }
    catch (javax.xml.rpc.ServiceException serviceException) {}
  }
  
  public String getEndpoint() {
    return _endpoint;
  }
  
  public void setEndpoint(String endpoint) {
    _endpoint = endpoint;
    if (iWSBIGetNCWYDataPortType != null)
      ((javax.xml.rpc.Stub)iWSBIGetNCWYDataPortType)._setProperty("javax.xml.rpc.service.endpoint.address", _endpoint);
    
  }
  
  public nc.ws.intf.IWSBIGetNCWYData.IWSBIGetNCWYDataPortType getIWSBIGetNCWYDataPortType() {
    if (iWSBIGetNCWYDataPortType == null)
      _initIWSBIGetNCWYDataPortTypeProxy();
    return iWSBIGetNCWYDataPortType;
  }
  
  public java.lang.String getRules(java.lang.String string) throws java.rmi.RemoteException, nc.vo.pub.BusinessException.BusinessException{
    if (iWSBIGetNCWYDataPortType == null)
      _initIWSBIGetNCWYDataPortTypeProxy();
    return iWSBIGetNCWYDataPortType.getRules(string);
  }
  
  public nc.ws.vo.KMFZYEVO.KMFZYEVO[] getKMFZYE(nc.ws.vo.QueryVO.QueryVO queryVO) throws java.rmi.RemoteException, nc.vo.pub.BusinessException.BusinessException{
    if (iWSBIGetNCWYDataPortType == null)
      _initIWSBIGetNCWYDataPortTypeProxy();
    return iWSBIGetNCWYDataPortType.getKMFZYE(queryVO);
  }
  
  public java.lang.String getYSBZ(nc.ws.vo.QueryVO.QueryVO queryVO) throws java.rmi.RemoteException, nc.vo.pub.BusinessException.BusinessException{
    if (iWSBIGetNCWYDataPortType == null)
      _initIWSBIGetNCWYDataPortTypeProxy();
    return iWSBIGetNCWYDataPortType.getYSBZ(queryVO);
  }
  
  public java.lang.String getBaseDoc(java.lang.String string) throws java.rmi.RemoteException, nc.vo.pub.BusinessException.BusinessException{
    if (iWSBIGetNCWYDataPortType == null)
      _initIWSBIGetNCWYDataPortTypeProxy();
    return iWSBIGetNCWYDataPortType.getBaseDoc(string);
  }
  
  public java.lang.String getFYTZ(nc.ws.vo.QueryVO.QueryVO queryVO) throws java.rmi.RemoteException, nc.vo.pub.BusinessException.BusinessException{
    if (iWSBIGetNCWYDataPortType == null)
      _initIWSBIGetNCWYDataPortTypeProxy();
    return iWSBIGetNCWYDataPortType.getFYTZ(queryVO);
  }
  
  public java.lang.String getBaseDocNames() throws java.rmi.RemoteException, nc.vo.pub.BusinessException.BusinessException{
    if (iWSBIGetNCWYDataPortType == null)
      _initIWSBIGetNCWYDataPortTypeProxy();
    return iWSBIGetNCWYDataPortType.getBaseDocNames();
  }
  
  
}